package org.jeecg.modules.dynamicStaticAnalysis.entity;

    import com.baomidou.mybatisplus.annotation.TableField;
    import com.baomidou.mybatisplus.annotation.TableId;
    import com.baomidou.mybatisplus.annotation.TableName;
    import java.io.Serializable;
    import java.math.BigDecimal;
    import java.util.Date;
    import io.swagger.annotations.ApiModel;
    import io.swagger.annotations.ApiModelProperty;
    import lombok.Getter;
    import lombok.Setter;

/**
* <p>
    * 动静态分析-分析批次-单元设备测点得分
    * </p>
*
* @author hkl
* @since 2023-08-28
*/
    @Getter
    @Setter
    @ApiModel(value = "AnalysisBatchUnitDeviceTqiScore对象", description = "动静态分析-分析批次-单元设备测点得分")

public class AnalysisBatchUnitDeviceTqiScoreDTO {


    private static final long serialVersionUID = 1L;

            @ApiModelProperty("主键")
    private String id;

            @ApiModelProperty("创建人")
    private String createBy;

            @ApiModelProperty("创建日期")
    private Date createTime;

            @ApiModelProperty("更新人")
    private String updateBy;

            @ApiModelProperty("更新时间")
    private Date updateTime;

            @ApiModelProperty("速度下限")
    private Integer speedMin;

            @ApiModelProperty("速度上限")
    private Integer speedMax;

            @ApiModelProperty("分析类型 1-均值分析 2-峰值分析")
    private Integer analysisType;

            @ApiModelProperty("分析批次单元设备id")
    private String analysisBatchUnitDeviceId;

            @ApiModelProperty("分析批次号")
    private String analysisBatchCode;

            @ApiModelProperty("分析批id")
    private String analysisBatchId;

            @ApiModelProperty("单元设备id")
    private String unitId;

            @ApiModelProperty("单元设备code")
    private String unitCode;

            @ApiModelProperty("设备单元类型1-钢轨,2-曲线,3-竖曲线,4-道岔")
    private Integer unitType;

            @ApiModelProperty("设备单元类型名称")
    private String unitTypeName;

            @ApiModelProperty("测点类型")
    private String pointTypeName;

            @ApiModelProperty("高低左")
    private BigDecimal highLowLeft;

            @ApiModelProperty("高低左分数")
    private BigDecimal highLowLeftScore;

            @ApiModelProperty("高低左权值")
    private BigDecimal highLowLeftWeightValues;

            @ApiModelProperty("高低右")
    private BigDecimal highLowRight;

            @ApiModelProperty("高低右分数")
    private BigDecimal highLowRightScore;

            @ApiModelProperty("高低右权值")
    private BigDecimal highLowRightWeightValues;

            @ApiModelProperty("轨向左")
    private BigDecimal trackLeft;

            @ApiModelProperty("轨向左分数")
    private BigDecimal trackLeftScore;

            @ApiModelProperty("轨向左权值")
    private BigDecimal trackLeftWeightValues;

            @ApiModelProperty("轨向右")
    private BigDecimal trackRight;

            @ApiModelProperty("轨向右分数")
    private BigDecimal trackRightScore;

            @ApiModelProperty("轨向右权值")
    private BigDecimal trackRightWeightValues;

            @ApiModelProperty("水平（mm）")
    private BigDecimal level;

            @ApiModelProperty("水平（mm）分数")
    private BigDecimal levelScore;

            @ApiModelProperty("水平（mm）权值")
    private BigDecimal levelWeightValues;

            @ApiModelProperty("轨距（mm）")
    private BigDecimal trackGauge;

            @ApiModelProperty("轨距（mm）分数")
    private BigDecimal trackGaugeScore;

            @ApiModelProperty("轨距（mm）权值")
    private BigDecimal trackGaugeWeightValues;

            @ApiModelProperty("三角坑（mm）")
    private BigDecimal triangularPit;

            @ApiModelProperty("三角坑（mm）分数")
    private BigDecimal triangularPitScore;

            @ApiModelProperty("三角坑（mm）权值")
    private BigDecimal triangularPitWeightValues;

            @ApiModelProperty("TQI数值")
    private BigDecimal tqiComeUpon;

            @ApiModelProperty("TQI数值分数")
    private BigDecimal tqiComeUponScore;

            @ApiModelProperty("TQI数值权值")
    private BigDecimal tqiComeUponWeightValues;

            @ApiModelProperty("总得分")
    private BigDecimal sumScore;

            @ApiModelProperty("备注")
    private String remark;


}
